<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:spring="http://java.sun.com/xml/ns/javaee">
<head>
    <meta charset="UTF-8"/>
    <title>Movie Catalog</title>
    <style>
h1 {
  text-align: center;
}


</style>
</head>
<body>


<p><a href="http://localhost:8080/movies/"></a></p>

<p></p>
<div class="btn-group" style="width:100%">
    <input type="button" onclick="location.href='/movies';" style=width:20%; value="Movies"/>
    <input type="button" onclick="location.href='/actors';" style=width:20%; value="Actors"/>
    <input type="button" onclick="location.href='/directors';" style=width:20%; value="Directors"/>
    <input type="button" onclick="location.href='/users';" style=width:20%; value="Users"/>
</div>

<h1>List of Movies</h1>

<form action="/movies" method="get">
    <p>search by title:</p>
    <input type="search" name="title"/>
    <br/>
    <input type="submit" value="Filter"/>
</form>




<html>
<head>
    <style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>
<script>
function validateForm() {
  var x = document.forms["myForm"]["title"].value;
  var z = document.forms["myForm"]["dateOfRelease"].value;
  if (x == "") {
    alert("Movie title must be filled out");
    return false;
    }if (z == "") {
    alert("Date of release must be filled out");
    return false;
    }
}
</script>


<form th:action="@{/movies}" name="myForm" action="/action_page.php" onsubmit="return validateForm()" method="post">
    <p>Add new Movie:</p>
    <p>Movie title: <input type="text" name="title" placeholder="movie title"></p>
     <p>Date if release: <input type="number" name="dateOfRelease" placeholder="2009"></p>
    <script>

    </script>
    <input type="submit" value="New Movie"/>
</form>


<table>
    <tr>
        <th>ID</th>
        <th>Movie title</th>
        <th>Date of release title</th>
        <th>Update movie</th>
        <th>Delete movie</th>
    </tr>
    <tr th:each="movie : ${movies}">



        <td th:text="${movie.id}">123</td>

        <td>
            <a th:href="@{/movies/{id}(id=${movie.id})}"
               th:text="${movie.title}"></a>
        </td>
        <td>
            <a th:href="@{/movies/{id}(id=${movie.id})}"
               th:text="${movie.dateOfRelease}"></a>
        </td>

        <td>
            <a th:href="@{/movie-update/{id}(id=${movie.id})}"
            >Update!</a>
        </td>

        <td>
            <form th:action="@{deleteMovie}" method="post">
                <input type="hidden" name="id" th:value="${movie.id}" />
                <input type="submit" value="Delete" class="btn btn-danger" />
            </form>
        </td>
        <td> <h2></h2>



    </tr>
</table>



<script>

</script>
</body>
</html>